package com.sodius.mdw.rhapsody.api.utils;

import com.sodius.mdw.metamodel.rhapsody.ModelElement;

/**
 * This singleton is used when the <b>Rhapsody On-demand</b> connector reader property <code>"interfaceFileMapper"</code>
 * is not defined and thus avoids some {@link NullPointerException}.<br/>
 * Mainly, it allows the continued ruleset process under <b>RulesComposer</b>
 */
public class NullRhapsodyFileMapper implements RhapsodyFileMapper {

	/**
	 * The unique instance 
	 */
	public static final RhapsodyFileMapper INSTANCE = new NullRhapsodyFileMapper();

	/**
	 * Constructor used by the unique instance
	 */
	private NullRhapsodyFileMapper() {
	}

	public String addFileName(ModelElement element, String filename) {
		return filename;
	}

	public String addMainFileName(ModelElement element, String filename) {
		return filename;
	}

	public String addMakeFileName(ModelElement element, String filename) {
		return filename;
	}

	public String addTargetFileName(ModelElement element, String filename) {
		return filename;
	}
}
