
//Licensed Materials - Property of IBM 
// Copyright IBM Corporation 2006, 2008. All Rights Reserved.

package com.telelogic.rhapsody.core;



public interface IRPAnnotation  extends IRPModelElement {
	/**
	 * Add a new anchor
	 * @throws RhapsodyRuntimeException
	 */
	public void addAnchor(IRPModelElement target);
	/**
	 * get property anchoredByMe
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getAnchoredByMe();
	/**
	 * get property body
	 * @throws RhapsodyRuntimeException
	 */
	public String getBody();
	/**
	 * get property specification
	 * @throws RhapsodyRuntimeException
	 */
	public String getSpecification();
	/**
	 * get property specification RTF
	 * @throws RhapsodyRuntimeException
	 */
	public String getSpecificationRTF();
	/**
	 * determine if specification is in RTF format
	 * @throws RhapsodyRuntimeException
	 */
	public int isSpecificationRTF();
	/**
	 * Remove an anchor
	 * @throws RhapsodyRuntimeException
	 */
	public void removeAnchor(IRPModelElement target);
	/**
	 * set property body
	 * @throws RhapsodyRuntimeException
	 */
	public void setBody(String body);
	/**
	 * set property specification
	 * @throws RhapsodyRuntimeException
	 */
	public void setSpecification(String specification);
	/**
	 * set property specification RTF
	 * @throws RhapsodyRuntimeException
	 */
	public void setSpecificationRTF(String specificationRTF);
}

