//Licensed Materials - Property of IBM 
// Copyright IBM Corporation 2006, 2008. All Rights Reserved.

package com.telelogic.rhapsody.core;

import java.util.List;

public interface IRPCollection {
	/**
	 * Returns number of items in collection.
	 */
	public int getCount();
	
	/**
	 * Given an index, returns an item in the collection
	 * @param index the index of the item
	 * @return the item 
	 * @throws RhapsodyRuntimeException
	 */
	public Object getItem(int index);
	
	
	/**
	 * Adds a model element to the collection.
	 * @param newVal the new model element to add
	 * @throws RhapsodyRuntimeException
	 */
	public void addItem(IRPModelElement newVal);
		
		
	/**
	 * @return a java.util.List populated with the elements of the collection
	 * @throws RhapsodyRuntimeException
	 */
	public List toList();

	/**
	 * @Set the size(totoal element number) of the collection
	 * @throws RhapsodyRuntimeException
	 */	
	public void setSize(int size);
	
	/**
	 * @Given an index, set an String in the collection
	 * @throws RhapsodyRuntimeException
	 */	
	public void setString(int index, String val);

	/**
	 * @Given an index, set an IRPModelElement in the collection
	 * @throws RhapsodyRuntimeException
	 */	
	public void setModelElement(int index, IRPModelElement val);
	
	/**
	 * @Delete all elements in the collection
	 * @throws RhapsodyRuntimeException
	 */
	public void empty();

}

