
//Licensed Materials - Property of IBM 
// Copyright IBM Corporation 2006, 2008. All Rights Reserved.

package com.telelogic.rhapsody.core;



public interface IRPComponent  extends IRPUnit {
	/**
	 * method addConfiguration
	 * @throws RhapsodyRuntimeException
	 */
	public IRPConfiguration addConfiguration(String name);
	/**
	 * method addFile
	 * @throws RhapsodyRuntimeException
	 */
	public IRPFile addFile(String name);
	/**
	 * method addFolder
	 * @throws RhapsodyRuntimeException
	 */
	public IRPFile addFolder(String name);
	/**
	 * method addNestedComponent
	 * @throws RhapsodyRuntimeException
	 */
	public IRPComponent addNestedComponent(String name);
	/**
	 * method addScopeElement
	 * @throws RhapsodyRuntimeException
	 */
	public void addScopeElement(IRPModelElement pVal);
	/**
	 * method addToScope
	 * @throws RhapsodyRuntimeException
	 */
	public void addToScope(IRPFile file, IRPCollection classes, IRPCollection packages);
	/**
	 * method allElementsInScope
	 * @throws RhapsodyRuntimeException
	 */
	public void allElementsInScope();
	/**
	 * method deleteConfiguration
	 * @throws RhapsodyRuntimeException
	 */
	public void deleteConfiguration(IRPConfiguration configuration);
	/**
	 * method deletedFile
	 * @throws RhapsodyRuntimeException
	 */
	public void deleteFile(IRPFile file);
	/**
	 * method findConfiguration
	 * @throws RhapsodyRuntimeException
	 */
	public IRPConfiguration findConfiguration(String name);
	/**
	 * get property additionalSources
	 * @throws RhapsodyRuntimeException
	 */
	public String getAdditionalSources();
	/**
	 * get property buildType
	 * @throws RhapsodyRuntimeException
	 */
	public String getBuildType();
	/**
	 * method getConfigByDependency
	 * @throws RhapsodyRuntimeException
	 */
	public IRPConfiguration getConfigByDependency(IRPDependency o);
	/**
	 * get property configurations
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getConfigurations();
	/**
	 * method getFile
	 * @throws RhapsodyRuntimeException
	 */
	public IRPFile getFile(IRPClassifier c, int spec);
	/**
	 * method getFileName
	 * @throws RhapsodyRuntimeException
	 */
	public String getFileName(IRPClassifier c, int spec, int withExt);
	/**
	 * get property files
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getFiles();
	/**
	 * get property includePath
	 * @throws RhapsodyRuntimeException
	 */
	public String getIncludePath();
	/**
	 * get property libraries
	 * @throws RhapsodyRuntimeException
	 */
	public String getLibraries();
	/**
	 * method getModelElementFileName
	 * @throws RhapsodyRuntimeException
	 */
	public String getModelElementFileName(IRPModelElement c, int spec, int withExt);
	/**
	 * get property nestedComponents
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getNestedComponents();
	/**
	 * method getPackageFile
	 * @throws RhapsodyRuntimeException
	 */
	public IRPFile getPackageFile(IRPPackage c, int spec);
	/**
	 * get property panelDiagrams
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getPanelDiagrams();
	/**
	 * get property path
	 * @throws RhapsodyRuntimeException
	 */
	public String getPath(int fullPath);
	/**
	 * method getPossibleVariants
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getPossibleVariants(IRPModelElement variationPoint);
	/**
	 * get toggle the scope between selected and all-elements
	 * @throws RhapsodyRuntimeException
	 */
	public int getScopeBySelectedElements();
	/**
	 * get property scopeElements
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getScopeElements();
	/**
	 * get property standardHeaders
	 * @throws RhapsodyRuntimeException
	 */
	public String getStandardHeaders();
	/**
	 * method getVariant
	 * @throws RhapsodyRuntimeException
	 */
	public IRPModelElement getVariant(IRPModelElement variationPoint);
	/**
	 * method isDirectoryPerModelComponent
	 * @throws RhapsodyRuntimeException
	 */
	public int isDirectoryPerModelComponent(IRPModelElement o);
	/**
	 * method removeScopeElement
	 * @throws RhapsodyRuntimeException
	 */
	public void removeScopeElement(IRPModelElement pVal);
	/**
	 * set property additionalSources
	 * @throws RhapsodyRuntimeException
	 */
	public void setAdditionalSources(String additionalSources);
	/**
	 * set property buildType
	 * @throws RhapsodyRuntimeException
	 */
	public void setBuildType(String buildType);
	/**
	 * set property includePath
	 * @throws RhapsodyRuntimeException
	 */
	public void setIncludePath(String includePath);
	/**
	 * set property libraries
	 * @throws RhapsodyRuntimeException
	 */
	public void setLibraries(String libraries);
	/**
	 * method setPath
	 * @throws RhapsodyRuntimeException
	 */
	public void setPath(String path);
	/**
	 * set toggle the scope between selected and all-elements
	 * @throws RhapsodyRuntimeException
	 */
	public void setScopeBySelectedElements(int scopeBySelectedElements);
	/**
	 * set property standardHeaders
	 * @throws RhapsodyRuntimeException
	 */
	public void setStandardHeaders(String standardHeaders);
	/**
	 * method setVariant
	 * @throws RhapsodyRuntimeException
	 */
	public void setVariant(IRPModelElement variationPoint, IRPModelElement pVariant);
}

