
//Licensed Materials - Property of IBM 
// Copyright IBM Corporation 2006, 2008. All Rights Reserved.

package com.telelogic.rhapsody.core;



public interface IRPConnector  extends IRPStateVertex {
	/**
	 * method createDefaultTransition
	 * @throws RhapsodyRuntimeException
	 */
	public IRPTransition createDefaultTransition(IRPState from);
	/**
	 * get property connectorType
	 * @throws RhapsodyRuntimeException
	 */
	public String getConnectorType();
	/**
	 * method getDerivedInEdges
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getDerivedInEdges();
	/**
	 * method getDerivedOutEdge
	 * @throws RhapsodyRuntimeException
	 */
	public IRPTransition getDerivedOutEdge();
	/**
	 * method getOfState
	 * @throws RhapsodyRuntimeException
	 */
	public IRPState getOfState();
	/**
	 * method isConditionConnector
	 * @throws RhapsodyRuntimeException
	 */
	public int isConditionConnector();
	/**
	 * method isDiagramConnector
	 * @throws RhapsodyRuntimeException
	 */
	public int isDiagramConnector();
	/**
	 * method isForkConnector
	 * @throws RhapsodyRuntimeException
	 */
	public int isForkConnector();
	/**
	 * method isHistoryConnector
	 * @throws RhapsodyRuntimeException
	 */
	public int isHistoryConnector();
	/**
	 * method isJoinConnector
	 * @throws RhapsodyRuntimeException
	 */
	public int isJoinConnector();
	/**
	 * method isJunctionConnector
	 * @throws RhapsodyRuntimeException
	 */
	public int isJunctionConnector();
	/**
	 * method isStubConnector
	 * @throws RhapsodyRuntimeException
	 */
	public int isStubConnector();
	/**
	 * method isTerminationConnector
	 * @throws RhapsodyRuntimeException
	 */
	public int isTerminationConnector();
	/**
	 * method setOfState
	 * @throws RhapsodyRuntimeException
	 */
	public void setOfState(IRPState OfState);
}

