
//Licensed Materials - Property of IBM 
// Copyright IBM Corporation 2006, 2008. All Rights Reserved.

package com.telelogic.rhapsody.core;



public interface IRPDiagram  extends IRPUnit {
	/**
	 * method AddNewEdgeByType
	 * @throws RhapsodyRuntimeException
	 */
	public IRPGraphEdge addNewEdgeByType(String metaType, IRPGraphElement src, int xSrcPosition, int ySrcPosition, IRPGraphElement trg, int xTrgPosition, int yTrgPosition);
	/**
	 * method AddNewEdgeForElement
	 * @throws RhapsodyRuntimeException
	 */
	public IRPGraphEdge addNewEdgeForElement(IRPModelElement element, IRPGraphNode src, int xSrcPosition, int ySrcPosition, IRPGraphNode trg, int xTrgPosition, int yTrgPosition);
	/**
	 * method AddNewNodeByType
	 * @throws RhapsodyRuntimeException
	 */
	public IRPGraphNode addNewNodeByType(String metaType, int xPosition, int yPosition, int nWidth, int nHeight);
	/**
	 * method AddNewNodeForElement
	 * @throws RhapsodyRuntimeException
	 */
	public IRPGraphNode addNewNodeForElement(IRPModelElement element, int xPosition, int yPosition, int nWidth, int nHeight);
	/**
	 * method OpenDiagramView
	 * @throws RhapsodyRuntimeException
	 */
	public IRPAXViewCtrl openDiagramView();
	/**
	 * method closeDiagram
	 * @throws RhapsodyRuntimeException
	 */
	public void closeDiagram();
	/**
	 * method completeRelations
	 * @throws RhapsodyRuntimeException
	 */
	public void completeRelations(IRPCollection graphElements, int selectedToAll);
	/**
	 * method getCorrespondingGraphicElements
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getCorrespondingGraphicElements(IRPModelElement modelElement);
	/**
	 * method getElementsInDiagram
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getElementsInDiagram();
	/**
	 * get property graphicalElements
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getGraphicalElements();
	/**
	 * method getPicture
	 * @throws RhapsodyRuntimeException
	 */
	public void getPicture(String filename);
	/**
	 * method getPictureAs
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getPictureAs(String firstFileName, String imageFormat, int getImageMaps, IRPCollection diagrammap);
	/**
	 * method getPictureAsDividedMetafiles
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getPictureAsDividedMetafiles(String firstFileName);
	/**
	 * method getPicturesWithImageMap
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getPicturesWithImageMap(String firstFileName, IRPCollection diagrammap);
	/**
	 * method populateDiagram
	 * @throws RhapsodyRuntimeException
	 */
	public void populateDiagram(IRPCollection elementsToPopulate, IRPCollection relationsTypes, String createContent);
	/**
	 * method RemoveGraphElements
	 * @throws RhapsodyRuntimeException
	 */
	public void removeGraphElements(IRPCollection elementsToRemove);
	/**
	 * method setShowDiagramFrame
	 * @throws RhapsodyRuntimeException
	 */
	public void setShowDiagramFrame(int bShow);
}

