
//Licensed Materials - Property of IBM 
// Copyright IBM Corporation 2006, 2008. All Rights Reserved.

package com.telelogic.rhapsody.core;



public interface IRPGraphElement {
	/**
	 * method addProperty
	 * @throws RhapsodyRuntimeException
	 */
	public void addProperty(String propertyKey, String propertyType, String propertyValue);
	/**
	 * method applyDefaultFormat
	 * @throws RhapsodyRuntimeException
	 */
	public void applyDefaultFormat();
	/**
	 * method getAllGraphicalProperties
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getAllGraphicalProperties();
	/**
	 * method getAllProperties
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getAllProperties();
	/**
	 * get property graphicalParent
	 * @throws RhapsodyRuntimeException
	 */
	public IRPGraphElement getGraphicalParent();
	/**
	 * method getGraphicalProperty
	 * @throws RhapsodyRuntimeException
	 */
	public IRPGraphicalProperty getGraphicalProperty(String name);
	/**
	 * get property interfaceName
	 * @throws RhapsodyRuntimeException
	 */
	public String getInterfaceName();
	/**
	 * method getLocalProperties
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getLocalProperties();
	/**
	 * get property modelObject
	 * @throws RhapsodyRuntimeException
	 */
	public IRPModelElement getModelObject();
	/**
	 * method getPropertyValue
	 * @throws RhapsodyRuntimeException
	 */
	public String getPropertyValue(String propertyKey);
	/**
	 * method removeProperty
	 * @throws RhapsodyRuntimeException
	 */
	public void removeProperty(String propertyKey);
	/**
	 * method setGraphicalProperty
	 * @throws RhapsodyRuntimeException
	 */
	public void setGraphicalProperty(String name, String value);
	/**
	 * method setPropertyValue
	 * @throws RhapsodyRuntimeException
	 */
	public void setPropertyValue(String propertyKey, String propertyValue);
}

