
//Licensed Materials - Property of IBM 
// Copyright IBM Corporation 2006, 2008. All Rights Reserved.

package com.telelogic.rhapsody.core;



public interface IRPOperation  extends IRPInterfaceItem {
	/**
	 * method createAutoFlowChart
	 * @throws RhapsodyRuntimeException
	 */
	public void createAutoFlowChart();
	/**
	 * method deleteArgument
	 * @throws RhapsodyRuntimeException
	 */
	public void deleteArgument(IRPArgument argument);
	/**
	 * method deleteFlowchart
	 * @throws RhapsodyRuntimeException
	 */
	public void deleteFlowchart();
	/**
	 * get property body
	 * @throws RhapsodyRuntimeException
	 */
	public String getBody();
	/**
	 * get property flowchart
	 * @throws RhapsodyRuntimeException
	 */
	public IRPFlowchart getFlowchart();
	/**
	 * method getImplementationSignature
	 * @throws RhapsodyRuntimeException
	 */
	public String getImplementationSignature();
	/**
	 * get property initializer
	 * @throws RhapsodyRuntimeException
	 */
	public String getInitializer();
	/**
	 * get property isAbstract
	 * @throws RhapsodyRuntimeException
	 */
	public int getIsAbstract();
	/**
	 * get property isCgDerived
	 * @throws RhapsodyRuntimeException
	 */
	public int getIsCgDerived();
	/**
	 * get property isConst
	 * @throws RhapsodyRuntimeException
	 */
	public int getIsConst();
	/**
	 * get property isCtor
	 * @throws RhapsodyRuntimeException
	 */
	public int getIsCtor();
	/**
	 * get property isDtor
	 * @throws RhapsodyRuntimeException
	 */
	public int getIsDtor();
	/**
	 * get property isFinal
	 * @throws RhapsodyRuntimeException
	 */
	public int getIsFinal();
	/**
	 * get property isInline
	 * @throws RhapsodyRuntimeException
	 */
	public int getIsInline();
	/**
	 * get property isStatic
	 * @throws RhapsodyRuntimeException
	 */
	public int getIsStatic();
	/**
	 * get property isTrigger
	 * @throws RhapsodyRuntimeException
	 */
	public int getIsTrigger();
	/**
	 * get property isVirtual
	 * @throws RhapsodyRuntimeException
	 */
	public int getIsVirtual();
	/**
	 * get property returns
	 * @throws RhapsodyRuntimeException
	 */
	public IRPClassifier getReturns();
	/**
	 * get property visibility
	 * @throws RhapsodyRuntimeException
	 */
	public String getVisibility();
	/**
	 * set property body
	 * @throws RhapsodyRuntimeException
	 */
	public void setBody(String body);
	/**
	 * set property flowchart
	 * @throws RhapsodyRuntimeException
	 */
	public void setFlowchart(IRPFlowchart flowchart);
	/**
	 * set property initializer
	 * @throws RhapsodyRuntimeException
	 */
	public void setInitializer(String initializer);
	/**
	 * set property isAbstract
	 * @throws RhapsodyRuntimeException
	 */
	public void setIsAbstract(int isAbstract);
	/**
	 * set property isConst
	 * @throws RhapsodyRuntimeException
	 */
	public void setIsConst(int isConst);
	/**
	 * set property isFinal
	 * @throws RhapsodyRuntimeException
	 */
	public void setIsFinal(int isFinal);
	/**
	 * set property isStatic
	 * @throws RhapsodyRuntimeException
	 */
	public void setIsStatic(int isStatic);
	/**
	 * set property isVirtual
	 * @throws RhapsodyRuntimeException
	 */
	public void setIsVirtual(int isVirtual);
	/**
	 * method setReturnTypeDeclaration
	 * @throws RhapsodyRuntimeException
	 */
	public void setReturnTypeDeclaration(String newVal);
	/**
	 * set property returns
	 * @throws RhapsodyRuntimeException
	 */
	public void setReturns(IRPClassifier returns);
	/**
	 * set property visibility
	 * @throws RhapsodyRuntimeException
	 */
	public void setVisibility(String visibility);
}

