
//Licensed Materials - Property of IBM 
// Copyright IBM Corporation 2006, 2008. All Rights Reserved.

package com.telelogic.rhapsody.core;



public interface IRPPackage  extends IRPUnit {
	/**
	 * method addActivityDiagram
	 * @throws RhapsodyRuntimeException
	 */
	public IRPFlowchart addActivityDiagram();
	/**
	 * method addActor
	 * @throws RhapsodyRuntimeException
	 */
	public IRPActor addActor(String name);
	/**
	 * method addClass
	 * @throws RhapsodyRuntimeException
	 */
	public IRPClass addClass(String name);
	/**
	 * method addCollaborationDiagram
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollaborationDiagram addCollaborationDiagram(String name);
	/**
	 * method addComponentDiagram
	 * @throws RhapsodyRuntimeException
	 */
	public IRPComponentDiagram addComponentDiagram(String name);
	/**
	 * method addDeploymentDiagram
	 * @throws RhapsodyRuntimeException
	 */
	public IRPDeploymentDiagram addDeploymentDiagram(String name);
	/**
	 * method addEvent
	 * @throws RhapsodyRuntimeException
	 */
	public IRPEvent addEvent(String name);
	/**
	 * method addFlowItems
	 * @throws RhapsodyRuntimeException
	 */
	public IRPFlowItem addFlowItems(String name);
	/**
	 * method addFlows
	 * @throws RhapsodyRuntimeException
	 */
	public IRPFlow addFlows(String name);
	/**
	 * method addGlobalFunction
	 * @throws RhapsodyRuntimeException
	 */
	public IRPOperation addGlobalFunction(String name);
	/**
	 * method addGlobalObject
	 * @throws RhapsodyRuntimeException
	 */
	public IRPRelation addGlobalObject(String name, String otherClassName, String otherClassPackageName);
	/**
	 * method addGlobalVariable
	 * @throws RhapsodyRuntimeException
	 */
	public IRPAttribute addGlobalVariable(String name);
	/**
	 * method addImplicitObject
	 * @throws RhapsodyRuntimeException
	 */
	public IRPRelation addImplicitObject(String name);
	/**
	 * method addLink
	 * @throws RhapsodyRuntimeException
	 */
	public IRPLink addLink(IRPInstance fromPart, IRPInstance toPart, IRPRelation assoc, IRPPort fromPort, IRPPort toPort);
	/**
	 * method addModule
	 * @throws RhapsodyRuntimeException
	 */
	public IRPModule addModule(String name);
	/**
	 * method addNestedPackage
	 * @throws RhapsodyRuntimeException
	 */
	public IRPPackage addNestedPackage(String name);
	/**
	 * method addNode
	 * @throws RhapsodyRuntimeException
	 */
	public IRPNode addNode(String name);
	/**
	 * method addObjectModelDiagram
	 * @throws RhapsodyRuntimeException
	 */
	public IRPObjectModelDiagram addObjectModelDiagram(String name);
	/**
	 * method addSequenceDiagram
	 * @throws RhapsodyRuntimeException
	 */
	public IRPSequenceDiagram addSequenceDiagram(String name);
	/**
	 * method addStatechart
	 * @throws RhapsodyRuntimeException
	 */
	public IRPStatechart addStatechart();
	/**
	 * method addType
	 * @throws RhapsodyRuntimeException
	 */
	public IRPType addType(String name);
	/**
	 * method addUseCase
	 * @throws RhapsodyRuntimeException
	 */
	public IRPUseCase addUseCase(String name);
	/**
	 * method addUseCaseDiagram
	 * @throws RhapsodyRuntimeException
	 */
	public IRPUseCaseDiagram addUseCaseDiagram(String name);
	/**
	 * method deleteActor
	 * @throws RhapsodyRuntimeException
	 */
	public void deleteActor(IRPActor actor);
	/**
	 * method deleteClass
	 * @throws RhapsodyRuntimeException
	 */
	public void deleteClass(IRPClass theClass);
	/**
	 * method deleteCollaborationDiagram
	 * @throws RhapsodyRuntimeException
	 */
	public void deleteCollaborationDiagram(String name);
	/**
	 * method deleteComponentDiagram
	 * @throws RhapsodyRuntimeException
	 */
	public void deleteComponentDiagram(String name);
	/**
	 * method deleteDeploymentDiagram
	 * @throws RhapsodyRuntimeException
	 */
	public void deleteDeploymentDiagram(String name);
	/**
	 * method deleteEvent
	 * @throws RhapsodyRuntimeException
	 */
	public void deleteEvent(IRPEvent event);
	/**
	 * method deleteFlowItems
	 * @throws RhapsodyRuntimeException
	 */
	public void deleteFlowItems(IRPFlowItem pItem);
	/**
	 * method deleteFlows
	 * @throws RhapsodyRuntimeException
	 */
	public void deleteFlows(IRPFlow pFlow);
	/**
	 * method deleteGlobalFunction
	 * @throws RhapsodyRuntimeException
	 */
	public void deleteGlobalFunction(IRPOperation operation);
	/**
	 * method deleteGlobalObject
	 * @throws RhapsodyRuntimeException
	 */
	public void deleteGlobalObject(IRPRelation relation);
	/**
	 * method deleteGlobalVariable
	 * @throws RhapsodyRuntimeException
	 */
	public void deleteGlobalVariable(IRPAttribute attribute);
	/**
	 * method deleteNode
	 * @throws RhapsodyRuntimeException
	 */
	public void deleteNode(String name);
	/**
	 * method deleteObjectModelDiagram
	 * @throws RhapsodyRuntimeException
	 */
	public void deleteObjectModelDiagram(String name);
	/**
	 * method deletePackage
	 * @throws RhapsodyRuntimeException
	 */
	public void deletePackage();
	/**
	 * method deleteSequenceDiagram
	 * @throws RhapsodyRuntimeException
	 */
	public void deleteSequenceDiagram(String name);
	/**
	 * method deleteType
	 * @throws RhapsodyRuntimeException
	 */
	public void deleteType(IRPType type);
	/**
	 * method deleteUseCase
	 * @throws RhapsodyRuntimeException
	 */
	public void deleteUseCase(IRPUseCase useCase);
	/**
	 * method deleteUseCaseDiagram
	 * @throws RhapsodyRuntimeException
	 */
	public void deleteUseCaseDiagram(String name);
	/**
	 * method findActor
	 * @throws RhapsodyRuntimeException
	 */
	public IRPActor findActor(String name);
	/**
	 * method findAllByName
	 * @throws RhapsodyRuntimeException
	 */
	public IRPModelElement findAllByName(String name, String metaClass);
	/**
	 * method findClass
	 * @throws RhapsodyRuntimeException
	 */
	public IRPClass findClass(String name);
	/**
	 * method findEvent
	 * @throws RhapsodyRuntimeException
	 */
	public IRPEvent findEvent(String name);
	/**
	 * method findGlobalFunction
	 * @throws RhapsodyRuntimeException
	 */
	public IRPOperation findGlobalFunction(String name);
	/**
	 * method findGlobalObject
	 * @throws RhapsodyRuntimeException
	 */
	public IRPRelation findGlobalObject(String name);
	/**
	 * method findGlobalVariable
	 * @throws RhapsodyRuntimeException
	 */
	public IRPAttribute findGlobalVariable(String name);
	/**
	 * method findNode
	 * @throws RhapsodyRuntimeException
	 */
	public IRPNode findNode(String name);
	/**
	 * method findType
	 * @throws RhapsodyRuntimeException
	 */
	public IRPType findType(String name);
	/**
	 * method findUsage
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection findUsage(IRPModelElement objToFind);
	/**
	 * method findUseCase
	 * @throws RhapsodyRuntimeException
	 */
	public IRPUseCase findUseCase(String name);
	/**
	 * get property actors
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getActors();
	/**
	 * get property behavioralDiagrams
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getBehavioralDiagrams();
	/**
	 * get property classes
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getClasses();
	/**
	 * get property collaborationDiagrams
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getCollaborationDiagrams();
	/**
	 * get property componentDiagrams
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getComponentDiagrams();
	/**
	 * get property deploymentDiagrams
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getDeploymentDiagrams();
	/**
	 * get property events
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getEvents();
	/**
	 * get property eventsBaseId
	 * @throws RhapsodyRuntimeException
	 */
	public int getEventsBaseId();
	/**
	 * get property flowItems
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getFlowItems();
	/**
	 * get property flows
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getFlows();
	/**
	 * get property globalFunctions
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getGlobalFunctions();
	/**
	 * get property globalObjects
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getGlobalObjects();
	/**
	 * get property globalVariables
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getGlobalVariables();
	/**
	 * get property links
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getLinks();
	/**
	 * get property modules
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getModules();
	/**
	 * get property nestedClassifiers
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getNestedClassifiers();
	/**
	 * get Nested components
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getNestedComponents();
	/**
	 * get property nodes
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getNodes();
	/**
	 * get property objectModelDiagrams
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getObjectModelDiagrams();
	/**
	 * get property packages
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getPackages();
	/**
	 * get property panelDiagrams
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getPanelDiagrams();
	/**
	 * get property savedInSeperateDirectory
	 * @throws RhapsodyRuntimeException
	 */
	public int getSavedInSeperateDirectory();
	/**
	 * get property sequenceDiagrams
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getSequenceDiagrams();
	/**
	 * get property sourceArtifacts
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getSourceArtifacts();
	/**
	 * get property types
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getTypes();
	/**
	 * get property useCaseDiagrams
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getUseCaseDiagrams();
	/**
	 * get property useCases
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getUseCases();
	/**
	 * get property userDefinedStereotypes
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getUserDefinedStereotypes();
	/**
	 * method reCalculateEventsBaseId
	 * @throws RhapsodyRuntimeException
	 */
	public int reCalculateEventsBaseId();
	/**
	 * set property savedInSeperateDirectory
	 * @throws RhapsodyRuntimeException
	 */
	public void setSavedInSeperateDirectory(int savedInSeperateDirectory);
}

