
//Licensed Materials - Property of IBM 
// Copyright IBM Corporation 2006, 2008. All Rights Reserved.

package com.telelogic.rhapsody.core;



public interface IRPProject  extends IRPPackage {
	/**
	 * method GatewayExportToXML
	 * @throws RhapsodyRuntimeException
	 */
	public void gatewayExportToXML(String filename, String params);
	/**
	 * method GatewayExportToXML2
	 * @throws RhapsodyRuntimeException
	 */
	public void gatewayExportToXML2(String filename, String params, IRPProject proj);
	/**
	 * method GenerateReport
	 * @throws RhapsodyRuntimeException
	 */
	public void generateReport(String modelscope, String templatename, String docType, String filename, int showDocument, int silentMode);
	/**
	 * method addComponent
	 * @throws RhapsodyRuntimeException
	 */
	public IRPComponent addComponent(String name);
	/**
	 * method addPackage
	 * @throws RhapsodyRuntimeException
	 */
	public IRPPackage addPackage(String name);
	/**
	 * method addProfile
	 * @throws RhapsodyRuntimeException
	 */
	public IRPProfile addProfile(String name);
	/**
	 * method becomeActiveProject
	 * @throws RhapsodyRuntimeException
	 */
	public void becomeActiveProject();
	/**
	 * method checkEventsBaseIdsSolveCollisions 
	 * @throws RhapsodyRuntimeException
	 */
	public void checkEventsBaseIdsSolveCollisions();
	/**
	 * method close
	 * @throws RhapsodyRuntimeException
	 */
	public void close();
	/**
	 * method closeCSVFile
	 * @throws RhapsodyRuntimeException
	 */
	public void closeCSVFile(String fullCSVFileName);
	/**
	 * method deleteComponent
	 * @throws RhapsodyRuntimeException
	 */
	public void deleteComponent(IRPComponent component);
	/**
	 * property findComponent
	 * @throws RhapsodyRuntimeException
	 */
	public IRPComponent findComponent(String name);
	/**
	 * method findElementByGUID
	 * @throws RhapsodyRuntimeException
	 */
	public IRPModelElement findElementByGUID(String theGUID);
	/**
	 * get property activeComponent
	 * @throws RhapsodyRuntimeException
	 */
	public IRPComponent getActiveComponent();
	/**
	 * get property activeConfiguration
	 * @throws RhapsodyRuntimeException
	 */
	public IRPConfiguration getActiveConfiguration();
	/**
	 * get property allStereotypes
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getAllStereotypes();
	/**
	 * get The code generation simplified-model package
	 * @throws RhapsodyRuntimeException
	 */
	public IRPPackage getCgSimplifiedModelPackage();
	/**
	 * get property components
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getComponents();
	/**
	 * get property defaultDirectoryScheme
	 * @throws RhapsodyRuntimeException
	 */
	public String getDefaultDirectoryScheme();
	/**
	 * method getNewCollaboration
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollaboration getNewCollaboration();
	/**
	 * get property profiles
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getProfiles();
	/**
	 * method highlightFromCode
	 * @throws RhapsodyRuntimeException
	 */
	public IRPModelElement highlightFromCode(String filename, int lineNumber);
	/**
	 * method importPackageFromRose
	 * @throws RhapsodyRuntimeException
	 */
	public void importPackageFromRose(String projectName, String packageName, String logFileName);
	/**
	 * method importProjectFromRose
	 * @throws RhapsodyRuntimeException
	 */
	public void importProjectFromRose(String projectName, String logFileName);
	/**
	 * Check if the project is modified in any part and required to be saved
	 * @throws RhapsodyRuntimeException
	 */
	public int isModifiedRecursive();
	/**
	 * method locateInIDE
	 * @throws RhapsodyRuntimeException
	 */
	public void locateInIDE(IRPConfiguration config, String filename, int lineNumber);
	/**
	 * method openCSVFile
	 * @throws RhapsodyRuntimeException
	 */
	public void openCSVFile(String fullCSVFileName, int reserved);
	/**
	 * method recalculateEventsBaseIds
	 * @throws RhapsodyRuntimeException
	 */
	public void recalculateEventsBaseIds();
	/**
	 * method reloadCSVFile
	 * @throws RhapsodyRuntimeException
	 */
	public void reloadCSVFile(String fullCSVFileName);
	/**
	 * Remove project from current workspace
	 * @throws RhapsodyRuntimeException
	 */
	public int remove();
	/**
	 * method save
	 * @throws RhapsodyRuntimeException
	 */
	public void save();
	/**
	 * method saveAs
	 * @throws RhapsodyRuntimeException
	 */
	public void saveAs(String filename);
	/**
	 * method saveAsPrevVersion
	 * @throws RhapsodyRuntimeException
	 */
	public void saveAsPrevVersion(String filename, String prevVersion);
	/**
	 * method setActiveComponent
	 * @throws RhapsodyRuntimeException
	 */
	public void setActiveComponent(String name);
	/**
	 * set property activeComponent
	 * @throws RhapsodyRuntimeException
	 */
	public void setActiveComponent(IRPComponent activeComponent);
	/**
	 * method setActiveConfiguration
	 * @throws RhapsodyRuntimeException
	 */
	public void setActiveConfiguration(String name);
	/**
	 * set property activeConfiguration
	 * @throws RhapsodyRuntimeException
	 */
	public void setActiveConfiguration(IRPConfiguration activeConfiguration);
	/**
	 * set property defaultDirectoryScheme
	 * @throws RhapsodyRuntimeException
	 */
	public void setDefaultDirectoryScheme(String defaultDirectoryScheme);
	/**
	 * method setObjectExplicit
	 * @throws RhapsodyRuntimeException
	 */
	public void setObjectExplicit(IRPInstance pInstance);
	/**
	 * method setObjectImplicit
	 * @throws RhapsodyRuntimeException
	 */
	public void setObjectImplicit(IRPInstance pInstance);
}

