
//Licensed Materials - Property of IBM 
// Copyright IBM Corporation 2006, 2008. All Rights Reserved.

package com.telelogic.rhapsody.core;



public interface IRPStateVertex  extends IRPModelElement {
	/**
	 * method addFlow
	 * @throws RhapsodyRuntimeException
	 */
	public IRPTransition addFlow(String type, IRPStateVertex to);
	/**
	 * method addTransition
	 * @throws RhapsodyRuntimeException
	 */
	public IRPTransition addTransition(IRPStateVertex to);
	/**
	 * method deleteTransition
	 * @throws RhapsodyRuntimeException
	 */
	public void deleteTransition(IRPTransition transition);
	/**
	 * method getInTransitions
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getInTransitions();
	/**
	 * method getOutTransitions
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getOutTransitions();
	/**
	 * get property parent
	 * @throws RhapsodyRuntimeException
	 */
	public IRPState getParent();
	/**
	 * set property parent
	 * @throws RhapsodyRuntimeException
	 */
	public void setParent(IRPState parent);
}

