
//Licensed Materials - Property of IBM 
// Copyright IBM Corporation 2006, 2008. All Rights Reserved.

package com.telelogic.rhapsody.core;


 /**
  * The IRPTag interface represents tags in a Rational Rhapsody model.
  */
public interface IRPTag  extends IRPVariable {
	/**
	 * get property base
	 * @throws RhapsodyRuntimeException
	 */
	public IRPTag getBase();
	/**
	 * get property fromProfile
	 * @throws RhapsodyRuntimeException
	 */
	public IRPProfile getFromProfile();
	/**
	 * get property multiplicity
	 * @throws RhapsodyRuntimeException
	 */
	public String getMultiplicity();
	/**
	 * get property tagMetaClass
	 * @throws RhapsodyRuntimeException
	 */
	public String getTagMetaClass();
	/**
	 * get property value
	 * @throws RhapsodyRuntimeException
	 */
	public String getValue();
	/**
	 * set property multiplicity
	 * @throws RhapsodyRuntimeException
	 */
	public void setMultiplicity(String multiplicity);
	/**
	 * method setTagContextValue
	 * @throws RhapsodyRuntimeException
	 */
	public void setTagContextValue(IRPCollection elements, IRPCollection multiplicities);
	/**
	 * set property tagMetaClass
	 * @throws RhapsodyRuntimeException
	 */
	public void setTagMetaClass(String tagMetaClass);
	/**
	 * set property value
	 * @throws RhapsodyRuntimeException
	 */
	public void setValue(String value);
}

