
//Licensed Materials - Property of IBM 
// Copyright IBM Corporation 2006, 2008. All Rights Reserved.

package com.telelogic.rhapsody.core;



public interface IRPUnit  extends IRPModelElement {
	/**
	 * get property CMHeader
	 * @throws RhapsodyRuntimeException
	 */
	public String getCMHeader();
	/**
	 * get property currentDirectory
	 * @throws RhapsodyRuntimeException
	 */
	public String getCurrentDirectory();
	/**
	 * get property filename
	 * @throws RhapsodyRuntimeException
	 */
	public String getFilename();
	/**
	 * get property includeInNextLoad
	 * @throws RhapsodyRuntimeException
	 */
	public int getIncludeInNextLoad();
	/**
	 * get property isStub
	 * @throws RhapsodyRuntimeException
	 */
	public int getIsStub();
	/**
	 * method getLanguage
	 * @throws RhapsodyRuntimeException
	 */
	public String getLanguage();
	/**
	 * method getLastModifiedTime
	 * @throws RhapsodyRuntimeException
	 */
	public String getLastModifiedTime();
	/**
	 * Get nested save units
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getNestedSaveUnits();
	/**
	 * Get number of nested save units
	 * @throws RhapsodyRuntimeException
	 */
	public int getNestedSaveUnitsCount();
	/**
	 * get property structureDiagrams
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getStructureDiagrams();
	/**
	 * method isReadOnly
	 * @throws RhapsodyRuntimeException
	 */
	public int isReadOnly();
	/**
	 * method isReferenceUnit
	 * @throws RhapsodyRuntimeException
	 */
	public int isReferenceUnit();
	/**
	 * method isSeparateSaveUnit
	 * @throws RhapsodyRuntimeException
	 */
	public int isSeparateSaveUnit();
	/**
	 * method load
	 * @throws RhapsodyRuntimeException
	 */
	public IRPUnit load(int withSubs);
	/**
	 * method save
	 * @throws RhapsodyRuntimeException
	 */
	public void save(int withSubs);
	/**
	 * set property CMHeader
	 * @throws RhapsodyRuntimeException
	 */
	public void setCMHeader(String cMHeader);
	/**
	 * set property filename
	 * @throws RhapsodyRuntimeException
	 */
	public void setFilename(String filename);
	/**
	 * set property includeInNextLoad
	 * @throws RhapsodyRuntimeException
	 */
	public void setIncludeInNextLoad(int includeInNextLoad);
	/**
	 * method setLanguage
	 * @throws RhapsodyRuntimeException
	 */
	public void setLanguage(String newLanguage, int recursive);
	/**
	 * method setReadOnly
	 * @throws RhapsodyRuntimeException
	 */
	public void setReadOnly(int pVal);
	/**
	 * method setSeparateSaveUnit
	 * @throws RhapsodyRuntimeException
	 */
	public void setSeparateSaveUnit(int pVal);
	/**
	 * method setUnitPath
	 * @throws RhapsodyRuntimeException
	 */
	public void setUnitPath(String newPath);
	/**
	 * method unload
	 * @throws RhapsodyRuntimeException
	 */
	public void unload();
}

