
//Licensed Materials - Property of IBM 
// Copyright IBM Corporation 2006, 2008. All Rights Reserved.

package com.telelogic.rhapsody.core;



public interface IRPVariable  extends IRPModelElement {
	/**
	 * method addElementDefaultValue
	 * @throws RhapsodyRuntimeException
	 */
	public IRPInstanceValue addElementDefaultValue(IRPModelElement newDefaultVal);
	/**
	 * method addStringDefaultValue
	 * @throws RhapsodyRuntimeException
	 */
	public IRPLiteralSpecification addStringDefaultValue(String newDefaultVal);
	/**
	 * get property declaration
	 * @throws RhapsodyRuntimeException
	 */
	public String getDeclaration();
	/**
	 * get property defaultValue
	 * @throws RhapsodyRuntimeException
	 */
	public String getDefaultValue();
	/**
	 * get property type
	 * @throws RhapsodyRuntimeException
	 */
	public IRPClassifier getType();
	/**
	 * get property valueSpecifications
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getValueSpecifications();
	/**
	 * set property declaration
	 * @throws RhapsodyRuntimeException
	 */
	public void setDeclaration(String declaration);
	/**
	 * set property defaultValue
	 * @throws RhapsodyRuntimeException
	 */
	public void setDefaultValue(String defaultValue);
	/**
	 * set property type
	 * @throws RhapsodyRuntimeException
	 */
	public void setType(IRPClassifier type);
	/**
	 * method setTypeDeclaration
	 * @throws RhapsodyRuntimeException
	 */
	public void setTypeDeclaration(String newVal);
}

